
Redmine - Feature #14365

SCM link to Issue History

2013-06-27 16:47 - Brian Rose

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Invalid   

Description

When a user commits to a repository, and links to an issue, can that commit show up in the Issue history?

I can see it on the project Activity page, but that page can get quite noisy. It would be nice to have it show up in the issue view, where

I only see activity related to this issue.

Thank you for the great work!

History

#1 - 2013-06-28 00:43 - Toshi MARUYAMA

- Category changed from Issues to SCM

#2 - 2014-12-22 21:41 - Tomasz Kowalczyk

If commit references issue ID through configured message fragment (refs #, fixes #) or is manually linked then it is shown right to the discussion list

right just below issue details. I get that OP wanted to have it in discussion list but I thought it's still worth mentioning.

#3 - 2021-07-04 03:10 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Invalid

As mentioned by Tomasz Kowalczyk, Redmine already has this feature. Closing.

If commit references issue ID through configured message fragment (refs #, fixes #) or is manually linked then it is shown right to the discussion

list right just below issue details.
